import { RPCError } from 'packages/core/rpc/error';

import { DiscoveryStartInfo } from '../../model';

export interface State {
  error: RPCError | null;
  isPending: boolean;
  isSuccess: Boolean | null;
}

export const initialState: State = {
  error: null,
  isPending: false,
  isSuccess: null,
};

export const getSuccess = (state: State) => state.isSuccess;

